/*===========================================================================*/
/*   (Cnst/initialize.scm)                                                   */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Cnst/initialize.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_feffectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_readz00;
   obj_t BgL_writez00;
} *BgL_feffectz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_effectz00;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


static obj_t BGl_internzd2initializa7ez12z67zzcnst_initializa7eza7();
static obj_t BGl_methodzd2initzd2zzcnst_initializa7eza7();
BGL_IMPORT obj_t open_input_string(obj_t);
BGL_IMPORT obj_t BGl_writez00zz__r4_output_6_10_3z00(obj_t, obj_t);
BGL_IMPORT obj_t obj_to_string(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT char * BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_buildzd2astzd2zzast_buildz00(obj_t);
BGL_IMPORT obj_t string_to_bstring(char *);
extern obj_t BGl_za2targetzd2languageza2zd2zzengine_paramz00;
extern obj_t BGl_getzd2cnstzd2offsetz00zzcnst_allocz00();
BGL_EXPORTED_DECL obj_t BGl_initializa7ezd2astz75zzcnst_initializa7eza7();
BGL_IMPORT obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_cnstzd2initzd2zzcnst_initializa7eza7();
extern obj_t BGl_getzd2cnstzd2setz00zzcnst_allocz00();
BGL_IMPORT obj_t open_output_string();
static obj_t BGl_importedzd2moduleszd2initz00zzcnst_initializa7eza7();
extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt, obj_t, BgL_typez00_bglt);
static obj_t BGl_readzd2initializa7ez12z67zzcnst_initializa7eza7();
static obj_t BGl__initializa7ezd2astz75zzcnst_initializa7eza7(obj_t);
static obj_t BGl_cnstzd2setzd2ze3cnstzd2stringz31zzcnst_initializa7eza7(obj_t);
static obj_t BGl_toplevelzd2initzd2zzcnst_initializa7eza7();
BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcnst_initializa7eza7(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_buildz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcnst_allocz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcnst_nodez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__intextz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t close_output_port(obj_t);
static obj_t BGl_readzd2fullzd2cnstzd2initializa7ez12z67zzcnst_initializa7eza7();
static obj_t BGl_internzd2emptyzd2cnstzd2initializa7ez12z67zzcnst_initializa7eza7();
BGL_IMPORT obj_t BGl_memvz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_za2initzd2modeza2zd2zzengine_paramz00;
extern obj_t BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t create_struct(obj_t, int);
static obj_t BGl_libzd2initializa7ez12z67zzcnst_initializa7eza7();
extern obj_t BGl_getzd2cnstzd2sexpz00zzcnst_allocz00();
static obj_t BGl_internzd2fullzd2cnstzd2initializa7ez12z67zzcnst_initializa7eza7();
static obj_t BGl_readzd2emptyzd2cnstzd2initializa7ez12z67zzcnst_initializa7eza7();
static obj_t BGl_requirezd2initializa7ationz75zzcnst_initializa7eza7 = BUNSPEC;
extern BgL_nodez00_bglt BGl_cnstzd2alloczd2stringz00zzcnst_allocz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
BGL_IMPORT bool_t BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzcnst_initializa7eza7();
static obj_t __cnst[ 29 ] ;


DEFINE_STRING( BGl_string3628z00zzcnst_initializa7eza7, BgL_bgl_string3628za700za7za7cnst_initializa7a7eza7a73659za7, "cnst-tmp c-vector-ref i::int __intext string->obj cnst-tmp::vector aux c--fx aux::int cport __reader @ cnst-table-set! begin i c-=fx if i::long loop labels c-open-input-string cport::input-port let (jvm .net) unit cnst intern read lib ", 235 );
DEFINE_STRING( BGl_string3627z00zzcnst_initializa7eza7, BgL_bgl_string3627za700za7za7cnst_initializa7a7eza7a73660za7, "Can't open output string port", 29 );
DEFINE_STRING( BGl_string3626z00zzcnst_initializa7eza7, BgL_bgl_string3626za700za7za7cnst_initializa7a7eza7a73661za7, "cnst-set->cnst-string", 21 );
DEFINE_STRING( BGl_string3625z00zzcnst_initializa7eza7, BgL_bgl_string3625za700za7za7cnst_initializa7a7eza7a73662za7, " ] ", 3 );
DEFINE_STRING( BGl_string3624z00zzcnst_initializa7eza7, BgL_bgl_string3624za700za7za7cnst_initializa7a7eza7a73663za7, "__cnst[ ", 8 );
DEFINE_STRING( BGl_string3623z00zzcnst_initializa7eza7, BgL_bgl_string3623za700za7za7cnst_initializa7a7eza7a73664za7, "*__cnst", 7 );
DEFINE_STRING( BGl_string3622z00zzcnst_initializa7eza7, BgL_bgl_string3622za700za7za7cnst_initializa7a7eza7a73665za7, "__cnst", 6 );
DEFINE_STRING( BGl_string3621z00zzcnst_initializa7eza7, BgL_bgl_string3621za700za7za7cnst_initializa7a7eza7a73666za7, "Illegal init-mode", 17 );
DEFINE_STRING( BGl_string3620z00zzcnst_initializa7eza7, BgL_bgl_string3620za700za7za7cnst_initializa7a7eza7a73667za7, "intialize-stop!", 15 );
DEFINE_EXPORT_PROCEDURE( BGl_initializa7ezd2astzd2envza7zzcnst_initializa7eza7, BgL_bgl__initializa7a7eza7d2astza775za7za7cnst_initializa7a7eza7a73668za7, BGl__initializa7ezd2astz75zzcnst_initializa7eza7, 0L, 0 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcnst_initializa7eza7(long BgL_checksumz00_1411, char * BgL_fromz00_1412)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzcnst_initializa7eza7))
{ 
BGl_requirezd2initializa7ationz75zzcnst_initializa7eza7 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzcnst_initializa7eza7(); 
BGl_cnstzd2initzd2zzcnst_initializa7eza7(); 
BGl_importedzd2moduleszd2initz00zzcnst_initializa7eza7(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzcnst_initializa7eza7()
{ AN_OBJECT;
{ /* ./Cnst/initialize.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "cnst_initialize"); 
BGl_modulezd2initializa7ationz75zz__intextz00(((long)0), "cnst_initialize"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "cnst_initialize"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "cnst_initialize"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "cnst_initialize"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "cnst_initialize"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "cnst_initialize"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzcnst_initializa7eza7()
{ AN_OBJECT;
{ /* ./Cnst/initialize.scm 15 */
{ /* ./Cnst/initialize.scm 15 */
obj_t BgL_cportz00_1404;
BgL_cportz00_1404 = 
open_input_string(BGl_string3628z00zzcnst_initializa7eza7); 
{ 
long BgL_iz00_1405;
BgL_iz00_1405 = ((long)28); 
BgL_loopz00_1406:
{ /* ./Cnst/initialize.scm 15 */
bool_t BgL_test3630z00_1407;
BgL_test3630z00_1407 = 
(BgL_iz00_1405==((long)-1)); 
if(BgL_test3630z00_1407)
{ /* ./Cnst/initialize.scm 15 */
return BUNSPEC;}  else 
{ /* ./Cnst/initialize.scm 15 */
{ /* ./Cnst/initialize.scm 15 */
obj_t BgL_arg3632z00_1408;
{ /* ./Cnst/initialize.scm 15 */
obj_t BgL_list3635z00_1409;
BgL_list3635z00_1409 = 
MAKE_PAIR(BgL_cportz00_1404, BNIL); 
BgL_arg3632z00_1408 = 
BGl_readz00zz__readerz00(BgL_list3635z00_1409); } 
{ /* ./Cnst/initialize.scm 15 */
int BgL_auxz00_1431;
BgL_auxz00_1431 = 
(int)(BgL_iz00_1405); 
CNST_TABLE_SET(BgL_auxz00_1431, BgL_arg3632z00_1408); } } 
{ /* ./Cnst/initialize.scm 15 */
int BgL_auxz00_1410;
{ /* ./Cnst/initialize.scm 15 */
long BgL_auxz00_1434;
BgL_auxz00_1434 = 
(BgL_iz00_1405-((long)1)); 
BgL_auxz00_1410 = 
(int)(BgL_auxz00_1434); } 
{ 
long BgL_iz00_1437;
BgL_iz00_1437 = 
(long)(BgL_auxz00_1410); 
BgL_iz00_1405 = BgL_iz00_1437; 
goto BgL_loopz00_1406;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzcnst_initializa7eza7()
{ AN_OBJECT;
{ /* ./Cnst/initialize.scm 15 */
return BUNSPEC;} 
}



/* initialize-ast */
BGL_EXPORTED_DEF obj_t BGl_initializa7ezd2astz75zzcnst_initializa7eza7()
{ AN_OBJECT;
{ /* ./Cnst/initialize.scm 40 */
{ /* ./Cnst/initialize.scm 41 */
obj_t BgL_bodyz00_687;
{ /* ./Cnst/initialize.scm 41 */
obj_t BgL_casezd2valuezd2_701;
BgL_casezd2valuezd2_701 = BGl_za2initzd2modeza2zd2zzengine_paramz00; 
{ /* ./Cnst/initialize.scm 41 */
bool_t BgL_test2728z00_702;
BgL_test2728z00_702 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_701, 
CNST_TABLE_REF(((long)0))); 
if(BgL_test2728z00_702)
{ /* ./Cnst/initialize.scm 41 */
BgL_bodyz00_687 = 
BGl_libzd2initializa7ez12z67zzcnst_initializa7eza7(); }  else 
{ /* ./Cnst/initialize.scm 41 */
bool_t BgL_test2730z00_703;
BgL_test2730z00_703 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_701, 
CNST_TABLE_REF(((long)1))); 
if(BgL_test2730z00_703)
{ /* ./Cnst/initialize.scm 41 */
BgL_bodyz00_687 = 
BGl_readzd2initializa7ez12z67zzcnst_initializa7eza7(); }  else 
{ /* ./Cnst/initialize.scm 41 */
bool_t BgL_test2732z00_704;
BgL_test2732z00_704 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_701, 
CNST_TABLE_REF(((long)2))); 
if(BgL_test2732z00_704)
{ /* ./Cnst/initialize.scm 41 */
BgL_bodyz00_687 = 
BGl_internzd2initializa7ez12z67zzcnst_initializa7eza7(); }  else 
{ /* ./Cnst/initialize.scm 41 */
BgL_bodyz00_687 = 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string3620z00zzcnst_initializa7eza7, BGl_string3621z00zzcnst_initializa7eza7, BGl_za2initzd2modeza2zd2zzengine_paramz00); } } } } } 
{ /* ./Cnst/initialize.scm 52 */
bool_t BgL_test2702z00_688;
BgL_test2702z00_688 = 
PAIRP(BgL_bodyz00_687); 
if(BgL_test2702z00_688)
{ /* ./Cnst/initialize.scm 53 */
obj_t BgL_unitz00_689;
{ /* ./Cnst/initialize.scm 53 */
obj_t BgL_idz00_1334;
BgL_idz00_1334 = 
CNST_TABLE_REF(((long)3)); 
{ /* ./Cnst/initialize.scm 53 */
obj_t BgL_newz00_1338;
{ /* ./Cnst/initialize.scm 53 */
int BgL_auxz00_1457;obj_t BgL_auxz00_1455;
BgL_auxz00_1457 = 
(int)(((long)4)); 
BgL_auxz00_1455 = 
CNST_TABLE_REF(((long)4)); 
BgL_newz00_1338 = 
create_struct(BgL_auxz00_1455, BgL_auxz00_1457); } 
{ /* ./Cnst/initialize.scm 53 */
int BgL_kz00_1342;
BgL_kz00_1342 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_1338, BgL_kz00_1342, BTRUE); } 
{ /* ./Cnst/initialize.scm 53 */
int BgL_kz00_1347;
BgL_kz00_1347 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_1338, BgL_kz00_1347, BgL_bodyz00_687); } 
{ /* ./Cnst/initialize.scm 53 */
int BgL_kz00_1352;obj_t BgL_oz00_1353;
BgL_kz00_1352 = 
(int)(((long)1)); 
BgL_oz00_1353 = 
BINT(((long)8)); 
STRUCT_SET(BgL_newz00_1338, BgL_kz00_1352, BgL_oz00_1353); } 
{ /* ./Cnst/initialize.scm 53 */
int BgL_kz00_1357;
BgL_kz00_1357 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_1338, BgL_kz00_1357, BgL_idz00_1334); } 
BgL_unitz00_689 = BgL_newz00_1338; } } 
{ /* ./Cnst/initialize.scm 54 */
obj_t BgL_astz00_690;
{ /* ./Cnst/initialize.scm 54 */
obj_t BgL_arg2721z00_699;
{ /* ./Cnst/initialize.scm 54 */
obj_t BgL_list2724z00_700;
BgL_list2724z00_700 = 
MAKE_PAIR(BgL_unitz00_689, BNIL); 
BgL_arg2721z00_699 = BgL_list2724z00_700; } 
BgL_astz00_690 = 
BGl_buildzd2astzd2zzast_buildz00(BgL_arg2721z00_699); } 
{ 
obj_t BgL_l2662z00_691;
BgL_l2662z00_691 = BgL_astz00_690; 
BgL_forzd2each2663zd2_692:
{ /* ./Cnst/initialize.scm 55 */
bool_t BgL_test2704z00_693;
BgL_test2704z00_693 = 
PAIRP(BgL_l2662z00_691); 
if(BgL_test2704z00_693)
{ /* ./Cnst/initialize.scm 55 */
{ /* ./Cnst/initialize.scm 56 */
obj_t BgL_globalz00_694;
BgL_globalz00_694 = 
CAR(BgL_l2662z00_691); 
{ /* ./Cnst/initialize.scm 56 */
obj_t BgL_arg2706z00_695;BgL_typez00_bglt BgL_arg2707z00_696;
{ /* ./Cnst/initialize.scm 56 */
BgL_sfunz00_bglt BgL_obj1370z00_1364;
{ /* ./Cnst/initialize.scm 56 */
BgL_valuez00_bglt BgL_auxz00_1474;
{ /* ./Cnst/initialize.scm 56 */
BgL_variablez00_bglt BgL_obj1100z00_1363;
BgL_obj1100z00_1363 = 
(BgL_variablez00_bglt)(BgL_globalz00_694); 
BgL_auxz00_1474 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1100z00_1363))->BgL_valuez00); } 
BgL_obj1370z00_1364 = 
(BgL_sfunz00_bglt)(BgL_auxz00_1474); } 
BgL_arg2706z00_695 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1370z00_1364))->BgL_bodyz00); } 
{ /* ./Cnst/initialize.scm 58 */
BgL_variablez00_bglt BgL_obj1097z00_1365;
BgL_obj1097z00_1365 = 
(BgL_variablez00_bglt)(BgL_globalz00_694); 
BgL_arg2707z00_696 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_1365))->BgL_typez00); } 
BGl_coercez12z12zzcoerce_coercez00(
(BgL_nodez00_bglt)(BgL_arg2706z00_695), BgL_globalz00_694, BgL_arg2707z00_696); } } 
{ /* ./Cnst/initialize.scm 55 */
obj_t BgL_arg2716z00_698;
BgL_arg2716z00_698 = 
CDR(BgL_l2662z00_691); 
{ 
obj_t BgL_l2662z00_1484;
BgL_l2662z00_1484 = BgL_arg2716z00_698; 
BgL_l2662z00_691 = BgL_l2662z00_1484; 
goto BgL_forzd2each2663zd2_692;} } }  else 
{ /* ./Cnst/initialize.scm 55 */((bool_t)1); } } } 
return BgL_astz00_690;} }  else 
{ /* ./Cnst/initialize.scm 52 */
return BNIL;} } } } 
}



/* _initialize-ast */
obj_t BGl__initializa7ezd2astz75zzcnst_initializa7eza7(obj_t BgL_envz00_1402)
{ AN_OBJECT;
{ /* ./Cnst/initialize.scm 40 */
return 
BGl_initializa7ezd2astz75zzcnst_initializa7eza7();} 
}



/* lib-initialize! */
obj_t BGl_libzd2initializa7ez12z67zzcnst_initializa7eza7()
{ AN_OBJECT;
{ /* ./Cnst/initialize.scm 66 */
{ /* ./Cnst/initialize.scm 67 */
obj_t BgL_casezd2valuezd2_705;
BgL_casezd2valuezd2_705 = BGl_za2targetzd2languageza2zd2zzengine_paramz00; 
{ /* ./Cnst/initialize.scm 67 */
bool_t BgL_test2738z00_706;
{ /* ./Cnst/initialize.scm 67 */
obj_t BgL_auxz00_1486;
BgL_auxz00_1486 = 
BGl_memvz00zz__r4_pairs_and_lists_6_3z00(BgL_casezd2valuezd2_705, 
CNST_TABLE_REF(((long)5))); 
BgL_test2738z00_706 = 
CBOOL(BgL_auxz00_1486); } 
if(BgL_test2738z00_706)
{ /* ./Cnst/initialize.scm 69 */
obj_t BgL_arg2740z00_707;
BgL_arg2740z00_707 = 
BGl_getzd2cnstzd2tablez00zzcnst_allocz00(); 
{ /* ./Cnst/initialize.scm 69 */
BgL_variablez00_bglt BgL_obj1096z00_1367;obj_t BgL_val1095z00_1368;
BgL_obj1096z00_1367 = 
(BgL_variablez00_bglt)(BgL_arg2740z00_707); 
BgL_val1095z00_1368 = BGl_string3622z00zzcnst_initializa7eza7; 
((((BgL_variablez00_bglt)CREF(BgL_obj1096z00_1367))->BgL_namez00) = ((obj_t)BgL_val1095z00_1368), BUNSPEC); } }  else 
{ /* ./Cnst/initialize.scm 71 */
obj_t BgL_arg2745z00_709;
BgL_arg2745z00_709 = 
BGl_getzd2cnstzd2tablez00zzcnst_allocz00(); 
{ /* ./Cnst/initialize.scm 71 */
BgL_variablez00_bglt BgL_obj1096z00_1369;obj_t BgL_val1095z00_1370;
BgL_obj1096z00_1369 = 
(BgL_variablez00_bglt)(BgL_arg2745z00_709); 
BgL_val1095z00_1370 = BGl_string3623z00zzcnst_initializa7eza7; 
((((BgL_variablez00_bglt)CREF(BgL_obj1096z00_1369))->BgL_namez00) = ((obj_t)BgL_val1095z00_1370), BUNSPEC); } } } } 
return 
BGl_getzd2cnstzd2sexpz00zzcnst_allocz00();} 
}



/* read-initialize! */
obj_t BGl_readzd2initializa7ez12z67zzcnst_initializa7eza7()
{ AN_OBJECT;
{ /* ./Cnst/initialize.scm 77 */
{ /* ./Cnst/initialize.scm 78 */
bool_t BgL_test2751z00_711;
{ /* ./Cnst/initialize.scm 78 */
obj_t BgL_arg2755z00_712;
BgL_arg2755z00_712 = 
BGl_getzd2cnstzd2offsetz00zzcnst_allocz00(); 
{ /* ./Cnst/initialize.scm 78 */
long BgL_auxz00_1499;
BgL_auxz00_1499 = 
(long)CINT(BgL_arg2755z00_712); 
BgL_test2751z00_711 = 
(BgL_auxz00_1499==((long)0)); } } 
if(BgL_test2751z00_711)
{ /* ./Cnst/initialize.scm 78 */
return 
BGl_readzd2emptyzd2cnstzd2initializa7ez12z67zzcnst_initializa7eza7();}  else 
{ /* ./Cnst/initialize.scm 78 */
return 
BGl_readzd2fullzd2cnstzd2initializa7ez12z67zzcnst_initializa7eza7();} } } 
}



/* read-empty-cnst-initialize! */
obj_t BGl_readzd2emptyzd2cnstzd2initializa7ez12z67zzcnst_initializa7eza7()
{ AN_OBJECT;
{ /* ./Cnst/initialize.scm 85 */
{ /* ./Cnst/initialize.scm 86 */
obj_t BgL_casezd2valuezd2_714;
BgL_casezd2valuezd2_714 = BGl_za2targetzd2languageza2zd2zzengine_paramz00; 
{ /* ./Cnst/initialize.scm 86 */
bool_t BgL_test2759z00_715;
{ /* ./Cnst/initialize.scm 86 */
obj_t BgL_auxz00_1505;
BgL_auxz00_1505 = 
BGl_memvz00zz__r4_pairs_and_lists_6_3z00(BgL_casezd2valuezd2_714, 
CNST_TABLE_REF(((long)5))); 
BgL_test2759z00_715 = 
CBOOL(BgL_auxz00_1505); } 
if(BgL_test2759z00_715)
{ /* ./Cnst/initialize.scm 88 */
obj_t BgL_arg2761z00_716;
BgL_arg2761z00_716 = 
BGl_getzd2cnstzd2tablez00zzcnst_allocz00(); 
{ /* ./Cnst/initialize.scm 88 */
BgL_variablez00_bglt BgL_obj1096z00_1373;obj_t BgL_val1095z00_1374;
BgL_obj1096z00_1373 = 
(BgL_variablez00_bglt)(BgL_arg2761z00_716); 
BgL_val1095z00_1374 = BGl_string3622z00zzcnst_initializa7eza7; 
((((BgL_variablez00_bglt)CREF(BgL_obj1096z00_1373))->BgL_namez00) = ((obj_t)BgL_val1095z00_1374), BUNSPEC); } }  else 
{ /* ./Cnst/initialize.scm 90 */
obj_t BgL_arg2766z00_718;
BgL_arg2766z00_718 = 
BGl_getzd2cnstzd2tablez00zzcnst_allocz00(); 
{ /* ./Cnst/initialize.scm 90 */
BgL_variablez00_bglt BgL_obj1096z00_1375;obj_t BgL_val1095z00_1376;
BgL_obj1096z00_1375 = 
(BgL_variablez00_bglt)(BgL_arg2766z00_718); 
BgL_val1095z00_1376 = BGl_string3623z00zzcnst_initializa7eza7; 
((((BgL_variablez00_bglt)CREF(BgL_obj1096z00_1375))->BgL_namez00) = ((obj_t)BgL_val1095z00_1376), BUNSPEC); } } } } 
return 
BGl_getzd2cnstzd2sexpz00zzcnst_allocz00();} 
}



/* read-full-cnst-initialize! */
obj_t BGl_readzd2fullzd2cnstzd2initializa7ez12z67zzcnst_initializa7eza7()
{ AN_OBJECT;
{ /* ./Cnst/initialize.scm 96 */
{ 
obj_t BgL_cnstzd2stringzd2_734;
{ /* ./Cnst/initialize.scm 97 */
obj_t BgL_casezd2valuezd2_721;
BgL_casezd2valuezd2_721 = BGl_za2targetzd2languageza2zd2zzengine_paramz00; 
{ /* ./Cnst/initialize.scm 97 */
bool_t BgL_test2772z00_722;
{ /* ./Cnst/initialize.scm 97 */
obj_t BgL_auxz00_1517;
BgL_auxz00_1517 = 
BGl_memvz00zz__r4_pairs_and_lists_6_3z00(BgL_casezd2valuezd2_721, 
CNST_TABLE_REF(((long)5))); 
BgL_test2772z00_722 = 
CBOOL(BgL_auxz00_1517); } 
if(BgL_test2772z00_722)
{ /* ./Cnst/initialize.scm 99 */
obj_t BgL_arg2774z00_723;
BgL_arg2774z00_723 = 
BGl_getzd2cnstzd2tablez00zzcnst_allocz00(); 
{ /* ./Cnst/initialize.scm 99 */
BgL_variablez00_bglt BgL_obj1096z00_1377;obj_t BgL_val1095z00_1378;
BgL_obj1096z00_1377 = 
(BgL_variablez00_bglt)(BgL_arg2774z00_723); 
BgL_val1095z00_1378 = BGl_string3622z00zzcnst_initializa7eza7; 
((((BgL_variablez00_bglt)CREF(BgL_obj1096z00_1377))->BgL_namez00) = ((obj_t)BgL_val1095z00_1378), BUNSPEC); } }  else 
{ /* ./Cnst/initialize.scm 101 */
obj_t BgL_arg2779z00_725;obj_t BgL_arg2780z00_726;
BgL_arg2779z00_725 = 
BGl_getzd2cnstzd2tablez00zzcnst_allocz00(); 
{ /* ./Cnst/initialize.scm 102 */
char * BgL_arg2785z00_728;
{ /* ./Cnst/initialize.scm 103 */
obj_t BgL_arg2789z00_730;
BgL_arg2789z00_730 = 
BGl_getzd2cnstzd2offsetz00zzcnst_allocz00(); 
BgL_arg2785z00_728 = 
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(BgL_arg2789z00_730, BNIL); } 
{ /* ./Cnst/initialize.scm 102 */
obj_t BgL_auxz00_1528;
BgL_auxz00_1528 = 
string_to_bstring(BgL_arg2785z00_728); 
BgL_arg2780z00_726 = 
string_append_3(BGl_string3624z00zzcnst_initializa7eza7, BgL_auxz00_1528, BGl_string3625z00zzcnst_initializa7eza7); } } 
{ /* ./Cnst/initialize.scm 101 */
BgL_variablez00_bglt BgL_obj1096z00_1379;obj_t BgL_val1095z00_1380;
BgL_obj1096z00_1379 = 
(BgL_variablez00_bglt)(BgL_arg2779z00_725); 
BgL_val1095z00_1380 = BgL_arg2780z00_726; 
((((BgL_variablez00_bglt)CREF(BgL_obj1096z00_1379))->BgL_namez00) = ((obj_t)BgL_val1095z00_1380), BUNSPEC); } } } } 
{ /* ./Cnst/initialize.scm 122 */
obj_t BgL_cnstzd2stringzd2_732;
{ /* ./Cnst/initialize.scm 122 */
obj_t BgL_arg2796z00_733;
BgL_arg2796z00_733 = 
BGl_getzd2cnstzd2setz00zzcnst_allocz00(); 
BgL_cnstzd2stringzd2_732 = 
BGl_cnstzd2setzd2ze3cnstzd2stringz31zzcnst_initializa7eza7(BgL_arg2796z00_733); } 
BgL_cnstzd2stringzd2_734 = BgL_cnstzd2stringzd2_732; 
{ /* ./Cnst/initialize.scm 106 */
BgL_nodez00_bglt BgL_varzd2stringzd2_736;
BgL_varzd2stringzd2_736 = 
BGl_cnstzd2alloczd2stringz00zzcnst_allocz00(BgL_cnstzd2stringzd2_734, BFALSE); 
{ /* ./Cnst/initialize.scm 106 */
obj_t BgL_sexpz00_737;
{ /* ./Cnst/initialize.scm 107 */
obj_t BgL_arg2805z00_739;obj_t BgL_arg2806z00_740;
BgL_arg2805z00_739 = 
CNST_TABLE_REF(((long)6)); 
{ /* ./Cnst/initialize.scm 107 */
obj_t BgL_arg2809z00_741;obj_t BgL_arg2810z00_742;
{ /* ./Cnst/initialize.scm 107 */
obj_t BgL_arg2813z00_743;
{ /* ./Cnst/initialize.scm 107 */
obj_t BgL_arg2817z00_745;obj_t BgL_arg2818z00_746;
BgL_arg2817z00_745 = 
CNST_TABLE_REF(((long)7)); 
{ /* ./Cnst/initialize.scm 108 */
obj_t BgL_arg2821z00_747;
{ /* ./Cnst/initialize.scm 108 */
obj_t BgL_arg2825z00_749;obj_t BgL_arg2826z00_750;
BgL_arg2825z00_749 = 
CNST_TABLE_REF(((long)8)); 
{ /* ./Cnst/initialize.scm 109 */
obj_t BgL_arg2829z00_751;
{ /* ./Cnst/initialize.scm 109 */
BgL_variablez00_bglt BgL_arg2833z00_753;
{ /* ./Cnst/initialize.scm 109 */
BgL_varz00_bglt BgL_obj1625z00_1381;
BgL_obj1625z00_1381 = 
(BgL_varz00_bglt)(BgL_varzd2stringzd2_736); 
BgL_arg2833z00_753 = 
(((BgL_varz00_bglt)CREF(BgL_obj1625z00_1381))->BgL_variablez00); } 
BgL_arg2829z00_751 = 
(((BgL_variablez00_bglt)CREF(BgL_arg2833z00_753))->BgL_idz00); } 
BgL_arg2826z00_750 = 
MAKE_PAIR(BgL_arg2829z00_751, BNIL); } 
BgL_arg2821z00_747 = 
MAKE_PAIR(BgL_arg2825z00_749, BgL_arg2826z00_750); } 
BgL_arg2818z00_746 = 
MAKE_PAIR(BgL_arg2821z00_747, BNIL); } 
BgL_arg2813z00_743 = 
MAKE_PAIR(BgL_arg2817z00_745, BgL_arg2818z00_746); } 
BgL_arg2809z00_741 = 
MAKE_PAIR(BgL_arg2813z00_743, BNIL); } 
{ /* ./Cnst/initialize.scm 111 */
obj_t BgL_arg2837z00_754;
{ /* ./Cnst/initialize.scm 111 */
obj_t BgL_arg2841z00_756;obj_t BgL_arg2842z00_757;
BgL_arg2841z00_756 = 
CNST_TABLE_REF(((long)9)); 
{ /* ./Cnst/initialize.scm 111 */
obj_t BgL_arg2845z00_758;obj_t BgL_arg2846z00_759;
{ /* ./Cnst/initialize.scm 111 */
obj_t BgL_arg2849z00_760;
{ /* ./Cnst/initialize.scm 111 */
obj_t BgL_arg2853z00_762;obj_t BgL_arg2854z00_763;
BgL_arg2853z00_762 = 
CNST_TABLE_REF(((long)10)); 
{ /* ./Cnst/initialize.scm 111 */
obj_t BgL_arg2857z00_764;obj_t BgL_arg2858z00_765;
{ /* ./Cnst/initialize.scm 111 */
obj_t BgL_auxz00_1549;
BgL_auxz00_1549 = 
CNST_TABLE_REF(((long)11)); 
BgL_arg2857z00_764 = 
MAKE_PAIR(BgL_auxz00_1549, BNIL); } 
{ /* ./Cnst/initialize.scm 112 */
obj_t BgL_arg2862z00_766;
{ /* ./Cnst/initialize.scm 112 */
obj_t BgL_arg2866z00_768;obj_t BgL_arg2868z00_769;
BgL_arg2866z00_768 = 
CNST_TABLE_REF(((long)12)); 
{ /* ./Cnst/initialize.scm 112 */
obj_t BgL_arg2871z00_770;obj_t BgL_arg2872z00_771;
{ /* ./Cnst/initialize.scm 112 */
obj_t BgL_arg2875z00_772;obj_t BgL_arg2876z00_773;
BgL_arg2875z00_772 = 
CNST_TABLE_REF(((long)13)); 
{ /* ./Cnst/initialize.scm 112 */
obj_t BgL_arg2879z00_774;obj_t BgL_arg2880z00_775;
BgL_arg2879z00_774 = 
CNST_TABLE_REF(((long)14)); 
{ /* ./Cnst/initialize.scm 112 */
obj_t BgL_auxz00_1555;
BgL_auxz00_1555 = 
BINT(((long)-1)); 
BgL_arg2880z00_775 = 
MAKE_PAIR(BgL_auxz00_1555, BNIL); } 
BgL_arg2876z00_773 = 
MAKE_PAIR(BgL_arg2879z00_774, BgL_arg2880z00_775); } 
BgL_arg2871z00_770 = 
MAKE_PAIR(BgL_arg2875z00_772, BgL_arg2876z00_773); } 
{ /* ./Cnst/initialize.scm 114 */
obj_t BgL_arg2884z00_776;
{ /* ./Cnst/initialize.scm 114 */
obj_t BgL_arg2887z00_777;
{ /* ./Cnst/initialize.scm 114 */
obj_t BgL_arg2891z00_779;obj_t BgL_arg2892z00_780;
BgL_arg2891z00_779 = 
CNST_TABLE_REF(((long)15)); 
{ /* ./Cnst/initialize.scm 115 */
obj_t BgL_arg2895z00_781;obj_t BgL_arg2896z00_782;
{ /* ./Cnst/initialize.scm 115 */
obj_t BgL_arg2899z00_783;obj_t BgL_arg2900z00_784;
BgL_arg2899z00_783 = 
CNST_TABLE_REF(((long)16)); 
{ /* ./Cnst/initialize.scm 115 */
obj_t BgL_arg2903z00_785;obj_t BgL_arg2904z00_786;
BgL_arg2903z00_785 = 
CNST_TABLE_REF(((long)14)); 
{ /* ./Cnst/initialize.scm 117 */
obj_t BgL_arg2907z00_787;
{ /* ./Cnst/initialize.scm 117 */
obj_t BgL_arg2912z00_789;obj_t BgL_arg2913z00_790;
{ /* ./Cnst/initialize.scm 117 */
obj_t BgL_arg2916z00_791;obj_t BgL_arg2917z00_792;
BgL_arg2916z00_791 = 
CNST_TABLE_REF(((long)17)); 
{ /* ./Cnst/initialize.scm 117 */
obj_t BgL_arg2920z00_793;obj_t BgL_arg2921z00_794;
BgL_arg2920z00_793 = 
CNST_TABLE_REF(((long)1)); 
{ /* ./Cnst/initialize.scm 117 */
obj_t BgL_auxz00_1565;
BgL_auxz00_1565 = 
CNST_TABLE_REF(((long)18)); 
BgL_arg2921z00_794 = 
MAKE_PAIR(BgL_auxz00_1565, BNIL); } 
BgL_arg2917z00_792 = 
MAKE_PAIR(BgL_arg2920z00_793, BgL_arg2921z00_794); } 
BgL_arg2912z00_789 = 
MAKE_PAIR(BgL_arg2916z00_791, BgL_arg2917z00_792); } 
{ /* ./Cnst/initialize.scm 117 */
obj_t BgL_auxz00_1570;
BgL_auxz00_1570 = 
CNST_TABLE_REF(((long)19)); 
BgL_arg2913z00_790 = 
MAKE_PAIR(BgL_auxz00_1570, BNIL); } 
BgL_arg2907z00_787 = 
MAKE_PAIR(BgL_arg2912z00_789, BgL_arg2913z00_790); } 
BgL_arg2904z00_786 = 
MAKE_PAIR(BgL_arg2907z00_787, BNIL); } 
BgL_arg2900z00_784 = 
MAKE_PAIR(BgL_arg2903z00_785, BgL_arg2904z00_786); } 
BgL_arg2895z00_781 = 
MAKE_PAIR(BgL_arg2899z00_783, BgL_arg2900z00_784); } 
{ /* ./Cnst/initialize.scm 118 */
obj_t BgL_arg2926z00_795;
{ /* ./Cnst/initialize.scm 118 */
obj_t BgL_arg2930z00_797;obj_t BgL_arg2931z00_798;
BgL_arg2930z00_797 = 
CNST_TABLE_REF(((long)6)); 
{ /* ./Cnst/initialize.scm 118 */
obj_t BgL_arg2934z00_799;obj_t BgL_arg2935z00_800;
{ /* ./Cnst/initialize.scm 118 */
obj_t BgL_arg2938z00_801;
{ /* ./Cnst/initialize.scm 118 */
obj_t BgL_arg2942z00_803;obj_t BgL_arg2943z00_804;
BgL_arg2942z00_803 = 
CNST_TABLE_REF(((long)20)); 
{ /* ./Cnst/initialize.scm 118 */
obj_t BgL_arg2946z00_805;
{ /* ./Cnst/initialize.scm 118 */
obj_t BgL_arg2950z00_807;obj_t BgL_arg2951z00_808;
BgL_arg2950z00_807 = 
CNST_TABLE_REF(((long)21)); 
{ /* ./Cnst/initialize.scm 118 */
obj_t BgL_arg2954z00_809;obj_t BgL_arg2955z00_810;
BgL_arg2954z00_809 = 
CNST_TABLE_REF(((long)14)); 
{ /* ./Cnst/initialize.scm 118 */
obj_t BgL_auxz00_1581;
BgL_auxz00_1581 = 
BINT(((long)1)); 
BgL_arg2955z00_810 = 
MAKE_PAIR(BgL_auxz00_1581, BNIL); } 
BgL_arg2951z00_808 = 
MAKE_PAIR(BgL_arg2954z00_809, BgL_arg2955z00_810); } 
BgL_arg2946z00_805 = 
MAKE_PAIR(BgL_arg2950z00_807, BgL_arg2951z00_808); } 
BgL_arg2943z00_804 = 
MAKE_PAIR(BgL_arg2946z00_805, BNIL); } 
BgL_arg2938z00_801 = 
MAKE_PAIR(BgL_arg2942z00_803, BgL_arg2943z00_804); } 
BgL_arg2934z00_799 = 
MAKE_PAIR(BgL_arg2938z00_801, BNIL); } 
{ /* ./Cnst/initialize.scm 119 */
obj_t BgL_arg2959z00_811;
{ /* ./Cnst/initialize.scm 119 */
obj_t BgL_arg2963z00_813;obj_t BgL_arg2964z00_814;
BgL_arg2963z00_813 = 
CNST_TABLE_REF(((long)10)); 
{ /* ./Cnst/initialize.scm 119 */
obj_t BgL_auxz00_1590;
BgL_auxz00_1590 = 
CNST_TABLE_REF(((long)22)); 
BgL_arg2964z00_814 = 
MAKE_PAIR(BgL_auxz00_1590, BNIL); } 
BgL_arg2959z00_811 = 
MAKE_PAIR(BgL_arg2963z00_813, BgL_arg2964z00_814); } 
BgL_arg2935z00_800 = 
MAKE_PAIR(BgL_arg2959z00_811, BNIL); } 
BgL_arg2931z00_798 = 
MAKE_PAIR(BgL_arg2934z00_799, BgL_arg2935z00_800); } 
BgL_arg2926z00_795 = 
MAKE_PAIR(BgL_arg2930z00_797, BgL_arg2931z00_798); } 
BgL_arg2896z00_782 = 
MAKE_PAIR(BgL_arg2926z00_795, BNIL); } 
BgL_arg2892z00_780 = 
MAKE_PAIR(BgL_arg2895z00_781, BgL_arg2896z00_782); } 
BgL_arg2887z00_777 = 
MAKE_PAIR(BgL_arg2891z00_779, BgL_arg2892z00_780); } 
BgL_arg2884z00_776 = 
MAKE_PAIR(BgL_arg2887z00_777, BNIL); } 
BgL_arg2872z00_771 = 
MAKE_PAIR(BUNSPEC, BgL_arg2884z00_776); } 
BgL_arg2868z00_769 = 
MAKE_PAIR(BgL_arg2871z00_770, BgL_arg2872z00_771); } 
BgL_arg2862z00_766 = 
MAKE_PAIR(BgL_arg2866z00_768, BgL_arg2868z00_769); } 
BgL_arg2858z00_765 = 
MAKE_PAIR(BgL_arg2862z00_766, BNIL); } 
BgL_arg2854z00_763 = 
MAKE_PAIR(BgL_arg2857z00_764, BgL_arg2858z00_765); } 
BgL_arg2849z00_760 = 
MAKE_PAIR(BgL_arg2853z00_762, BgL_arg2854z00_763); } 
BgL_arg2845z00_758 = 
MAKE_PAIR(BgL_arg2849z00_760, BNIL); } 
{ /* ./Cnst/initialize.scm 120 */
obj_t BgL_arg2968z00_815;
{ /* ./Cnst/initialize.scm 120 */
obj_t BgL_arg2973z00_817;obj_t BgL_arg2974z00_818;
BgL_arg2973z00_817 = 
CNST_TABLE_REF(((long)10)); 
{ /* ./Cnst/initialize.scm 120 */
long BgL_arg2977z00_819;
{ /* ./Cnst/initialize.scm 120 */
obj_t BgL_arg2981z00_821;
BgL_arg2981z00_821 = 
BGl_getzd2cnstzd2offsetz00zzcnst_allocz00(); 
{ /* ./Cnst/initialize.scm 120 */
long BgL_auxz00_1610;
BgL_auxz00_1610 = 
(long)CINT(BgL_arg2981z00_821); 
BgL_arg2977z00_819 = 
(BgL_auxz00_1610-((long)1)); } } 
{ /* ./Cnst/initialize.scm 120 */
obj_t BgL_auxz00_1613;
BgL_auxz00_1613 = 
BINT(BgL_arg2977z00_819); 
BgL_arg2974z00_818 = 
MAKE_PAIR(BgL_auxz00_1613, BNIL); } } 
BgL_arg2968z00_815 = 
MAKE_PAIR(BgL_arg2973z00_817, BgL_arg2974z00_818); } 
BgL_arg2846z00_759 = 
MAKE_PAIR(BgL_arg2968z00_815, BNIL); } 
BgL_arg2842z00_757 = 
MAKE_PAIR(BgL_arg2845z00_758, BgL_arg2846z00_759); } 
BgL_arg2837z00_754 = 
MAKE_PAIR(BgL_arg2841z00_756, BgL_arg2842z00_757); } 
BgL_arg2810z00_742 = 
MAKE_PAIR(BgL_arg2837z00_754, BNIL); } 
BgL_arg2806z00_740 = 
MAKE_PAIR(BgL_arg2809z00_741, BgL_arg2810z00_742); } 
BgL_sexpz00_737 = 
MAKE_PAIR(BgL_arg2805z00_739, BgL_arg2806z00_740); } 
{ /* ./Cnst/initialize.scm 107 */

{ /* ./Cnst/initialize.scm 121 */
obj_t BgL_arg2801z00_738;
BgL_arg2801z00_738 = 
BGl_getzd2cnstzd2sexpz00zzcnst_allocz00(); 
return 
MAKE_PAIR(BgL_sexpz00_737, BgL_arg2801z00_738);} } } } } } } 
}



/* cnst-set->cnst-string */
obj_t BGl_cnstzd2setzd2ze3cnstzd2stringz31zzcnst_initializa7eza7(obj_t BgL_setz00_19)
{ AN_OBJECT;
{ /* ./Cnst/initialize.scm 131 */
{ /* ./Cnst/initialize.scm 132 */
obj_t BgL_portz00_824;
BgL_portz00_824 = 
open_output_string(); 
{ /* ./Cnst/initialize.scm 133 */
bool_t BgL_test2986z00_825;
BgL_test2986z00_825 = 
OUTPUT_PORTP(BgL_portz00_824); 
if(BgL_test2986z00_825)
{ /* ./Cnst/initialize.scm 133 */
{ 
obj_t BgL_l2664z00_826;
BgL_l2664z00_826 = BgL_setz00_19; 
BgL_forzd2each2665zd2_827:
{ /* ./Cnst/initialize.scm 138 */
bool_t BgL_test2988z00_828;
BgL_test2988z00_828 = 
PAIRP(BgL_l2664z00_826); 
if(BgL_test2988z00_828)
{ /* ./Cnst/initialize.scm 138 */
{ /* ./Cnst/initialize.scm 139 */
obj_t BgL_cnstz00_829;
BgL_cnstz00_829 = 
CAR(BgL_l2664z00_826); 
{ /* ./Cnst/initialize.scm 139 */
obj_t BgL_list2990z00_830;
BgL_list2990z00_830 = 
MAKE_PAIR(BgL_portz00_824, BNIL); 
BGl_writez00zz__r4_output_6_10_3z00(BgL_cnstz00_829, BgL_list2990z00_830); } 
WRITE_CHAR(((unsigned char)' '), BgL_portz00_824); } 
{ /* ./Cnst/initialize.scm 138 */
obj_t BgL_arg2995z00_831;
BgL_arg2995z00_831 = 
CDR(BgL_l2664z00_826); 
{ 
obj_t BgL_l2664z00_1635;
BgL_l2664z00_1635 = BgL_arg2995z00_831; 
BgL_l2664z00_826 = BgL_l2664z00_1635; 
goto BgL_forzd2each2665zd2_827;} } }  else 
{ /* ./Cnst/initialize.scm 138 */((bool_t)1); } } } 
return 
close_output_port(BgL_portz00_824);}  else 
{ /* ./Cnst/initialize.scm 133 */
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string3626z00zzcnst_initializa7eza7, BGl_string3627z00zzcnst_initializa7eza7, BgL_portz00_824);} } } } 
}



/* intern-initialize! */
obj_t BGl_internzd2initializa7ez12z67zzcnst_initializa7eza7()
{ AN_OBJECT;
{ /* ./Cnst/initialize.scm 147 */
{ /* ./Cnst/initialize.scm 148 */
bool_t BgL_test3003z00_832;
{ /* ./Cnst/initialize.scm 148 */
obj_t BgL_arg3007z00_833;
BgL_arg3007z00_833 = 
BGl_getzd2cnstzd2offsetz00zzcnst_allocz00(); 
{ /* ./Cnst/initialize.scm 148 */
long BgL_auxz00_1639;
BgL_auxz00_1639 = 
(long)CINT(BgL_arg3007z00_833); 
BgL_test3003z00_832 = 
(BgL_auxz00_1639==((long)0)); } } 
if(BgL_test3003z00_832)
{ /* ./Cnst/initialize.scm 148 */
return 
BGl_internzd2emptyzd2cnstzd2initializa7ez12z67zzcnst_initializa7eza7();}  else 
{ /* ./Cnst/initialize.scm 148 */
return 
BGl_internzd2fullzd2cnstzd2initializa7ez12z67zzcnst_initializa7eza7();} } } 
}



/* intern-empty-cnst-initialize! */
obj_t BGl_internzd2emptyzd2cnstzd2initializa7ez12z67zzcnst_initializa7eza7()
{ AN_OBJECT;
{ /* ./Cnst/initialize.scm 155 */
{ /* ./Cnst/initialize.scm 156 */
obj_t BgL_arg3012z00_835;
BgL_arg3012z00_835 = 
BGl_getzd2cnstzd2tablez00zzcnst_allocz00(); 
{ /* ./Cnst/initialize.scm 156 */
BgL_variablez00_bglt BgL_obj1096z00_1394;obj_t BgL_val1095z00_1395;
BgL_obj1096z00_1394 = 
(BgL_variablez00_bglt)(BgL_arg3012z00_835); 
BgL_val1095z00_1395 = BGl_string3623z00zzcnst_initializa7eza7; 
((((BgL_variablez00_bglt)CREF(BgL_obj1096z00_1394))->BgL_namez00) = ((obj_t)BgL_val1095z00_1395), BUNSPEC); } } 
return 
BGl_getzd2cnstzd2sexpz00zzcnst_allocz00();} 
}



/* intern-full-cnst-initialize! */
obj_t BGl_internzd2fullzd2cnstzd2initializa7ez12z67zzcnst_initializa7eza7()
{ AN_OBJECT;
{ /* ./Cnst/initialize.scm 162 */
{ 
obj_t BgL_cnstzd2stringzd2_849;
{ /* ./Cnst/initialize.scm 163 */
obj_t BgL_arg3018z00_838;obj_t BgL_arg3019z00_839;
BgL_arg3018z00_838 = 
BGl_getzd2cnstzd2tablez00zzcnst_allocz00(); 
{ /* ./Cnst/initialize.scm 164 */
char * BgL_arg3024z00_841;
{ /* ./Cnst/initialize.scm 165 */
obj_t BgL_arg3028z00_843;
BgL_arg3028z00_843 = 
BGl_getzd2cnstzd2offsetz00zzcnst_allocz00(); 
BgL_arg3024z00_841 = 
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(BgL_arg3028z00_843, BNIL); } 
{ /* ./Cnst/initialize.scm 164 */
obj_t BgL_auxz00_1652;
BgL_auxz00_1652 = 
string_to_bstring(BgL_arg3024z00_841); 
BgL_arg3019z00_839 = 
string_append_3(BGl_string3624z00zzcnst_initializa7eza7, BgL_auxz00_1652, BGl_string3625z00zzcnst_initializa7eza7); } } 
{ /* ./Cnst/initialize.scm 163 */
BgL_variablez00_bglt BgL_obj1096z00_1396;obj_t BgL_val1095z00_1397;
BgL_obj1096z00_1396 = 
(BgL_variablez00_bglt)(BgL_arg3018z00_838); 
BgL_val1095z00_1397 = BgL_arg3019z00_839; 
((((BgL_variablez00_bglt)CREF(BgL_obj1096z00_1396))->BgL_namez00) = ((obj_t)BgL_val1095z00_1397), BUNSPEC); } } 
{ /* ./Cnst/initialize.scm 185 */
obj_t BgL_cnstzd2stringzd2_845;
{ /* ./Cnst/initialize.scm 185 */
obj_t BgL_arg3034z00_846;
{ /* ./Cnst/initialize.scm 185 */
obj_t BgL_arg3037z00_847;
{ /* ./Cnst/initialize.scm 185 */
obj_t BgL_arg3040z00_848;
BgL_arg3040z00_848 = 
BGl_getzd2cnstzd2setz00zzcnst_allocz00(); 
BgL_arg3037z00_847 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_arg3040z00_848); } 
BgL_arg3034z00_846 = 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg3037z00_847); } 
BgL_cnstzd2stringzd2_845 = 
obj_to_string(BgL_arg3034z00_846); } 
{ /* ./Cnst/initialize.scm 185 */

BgL_cnstzd2stringzd2_849 = BgL_cnstzd2stringzd2_845; 
{ /* ./Cnst/initialize.scm 168 */
BgL_nodez00_bglt BgL_varzd2stringzd2_851;
BgL_varzd2stringzd2_851 = 
BGl_cnstzd2alloczd2stringz00zzcnst_allocz00(BgL_cnstzd2stringzd2_849, BFALSE); 
{ /* ./Cnst/initialize.scm 168 */
obj_t BgL_sexpz00_852;
{ /* ./Cnst/initialize.scm 169 */
obj_t BgL_arg3049z00_854;obj_t BgL_arg3050z00_855;
BgL_arg3049z00_854 = 
CNST_TABLE_REF(((long)6)); 
{ /* ./Cnst/initialize.scm 169 */
obj_t BgL_arg3053z00_856;obj_t BgL_arg3054z00_857;
{ /* ./Cnst/initialize.scm 169 */
obj_t BgL_arg3057z00_858;
{ /* ./Cnst/initialize.scm 169 */
obj_t BgL_arg3061z00_860;obj_t BgL_arg3062z00_861;
BgL_arg3061z00_860 = 
CNST_TABLE_REF(((long)23)); 
{ /* ./Cnst/initialize.scm 170 */
obj_t BgL_arg3065z00_862;
{ /* ./Cnst/initialize.scm 170 */
obj_t BgL_arg3069z00_864;obj_t BgL_arg3070z00_865;
{ /* ./Cnst/initialize.scm 170 */
obj_t BgL_arg3073z00_866;obj_t BgL_arg3074z00_867;
BgL_arg3073z00_866 = 
CNST_TABLE_REF(((long)17)); 
{ /* ./Cnst/initialize.scm 170 */
obj_t BgL_arg3077z00_868;obj_t BgL_arg3078z00_869;
BgL_arg3077z00_868 = 
CNST_TABLE_REF(((long)24)); 
{ /* ./Cnst/initialize.scm 170 */
obj_t BgL_auxz00_1666;
BgL_auxz00_1666 = 
CNST_TABLE_REF(((long)25)); 
BgL_arg3078z00_869 = 
MAKE_PAIR(BgL_auxz00_1666, BNIL); } 
BgL_arg3074z00_867 = 
MAKE_PAIR(BgL_arg3077z00_868, BgL_arg3078z00_869); } 
BgL_arg3069z00_864 = 
MAKE_PAIR(BgL_arg3073z00_866, BgL_arg3074z00_867); } 
{ /* ./Cnst/initialize.scm 172 */
obj_t BgL_arg3082z00_870;
{ /* ./Cnst/initialize.scm 172 */
BgL_variablez00_bglt BgL_arg3086z00_872;
{ /* ./Cnst/initialize.scm 172 */
BgL_varz00_bglt BgL_obj1625z00_1398;
BgL_obj1625z00_1398 = 
(BgL_varz00_bglt)(BgL_varzd2stringzd2_851); 
BgL_arg3086z00_872 = 
(((BgL_varz00_bglt)CREF(BgL_obj1625z00_1398))->BgL_variablez00); } 
BgL_arg3082z00_870 = 
(((BgL_variablez00_bglt)CREF(BgL_arg3086z00_872))->BgL_idz00); } 
BgL_arg3070z00_865 = 
MAKE_PAIR(BgL_arg3082z00_870, BNIL); } 
BgL_arg3065z00_862 = 
MAKE_PAIR(BgL_arg3069z00_864, BgL_arg3070z00_865); } 
BgL_arg3062z00_861 = 
MAKE_PAIR(BgL_arg3065z00_862, BNIL); } 
BgL_arg3057z00_858 = 
MAKE_PAIR(BgL_arg3061z00_860, BgL_arg3062z00_861); } 
BgL_arg3053z00_856 = 
MAKE_PAIR(BgL_arg3057z00_858, BNIL); } 
{ /* ./Cnst/initialize.scm 173 */
obj_t BgL_arg3090z00_873;
{ /* ./Cnst/initialize.scm 173 */
obj_t BgL_arg3094z00_875;obj_t BgL_arg3095z00_876;
BgL_arg3094z00_875 = 
CNST_TABLE_REF(((long)9)); 
{ /* ./Cnst/initialize.scm 173 */
obj_t BgL_arg3098z00_877;obj_t BgL_arg3099z00_878;
{ /* ./Cnst/initialize.scm 173 */
obj_t BgL_arg3102z00_879;
{ /* ./Cnst/initialize.scm 173 */
obj_t BgL_arg3106z00_881;obj_t BgL_arg3107z00_882;
BgL_arg3106z00_881 = 
CNST_TABLE_REF(((long)10)); 
{ /* ./Cnst/initialize.scm 173 */
obj_t BgL_arg3110z00_883;obj_t BgL_arg3111z00_884;
{ /* ./Cnst/initialize.scm 173 */
obj_t BgL_auxz00_1681;
BgL_auxz00_1681 = 
CNST_TABLE_REF(((long)26)); 
BgL_arg3110z00_883 = 
MAKE_PAIR(BgL_auxz00_1681, BNIL); } 
{ /* ./Cnst/initialize.scm 174 */
obj_t BgL_arg3115z00_885;
{ /* ./Cnst/initialize.scm 174 */
obj_t BgL_arg3119z00_887;obj_t BgL_arg3120z00_888;
BgL_arg3119z00_887 = 
CNST_TABLE_REF(((long)12)); 
{ /* ./Cnst/initialize.scm 174 */
obj_t BgL_arg3123z00_889;obj_t BgL_arg3124z00_890;
{ /* ./Cnst/initialize.scm 174 */
obj_t BgL_arg3128z00_891;obj_t BgL_arg3129z00_892;
BgL_arg3128z00_891 = 
CNST_TABLE_REF(((long)13)); 
{ /* ./Cnst/initialize.scm 174 */
obj_t BgL_arg3132z00_893;obj_t BgL_arg3133z00_894;
BgL_arg3132z00_893 = 
CNST_TABLE_REF(((long)14)); 
{ /* ./Cnst/initialize.scm 174 */
obj_t BgL_auxz00_1687;
BgL_auxz00_1687 = 
BINT(((long)-1)); 
BgL_arg3133z00_894 = 
MAKE_PAIR(BgL_auxz00_1687, BNIL); } 
BgL_arg3129z00_892 = 
MAKE_PAIR(BgL_arg3132z00_893, BgL_arg3133z00_894); } 
BgL_arg3123z00_889 = 
MAKE_PAIR(BgL_arg3128z00_891, BgL_arg3129z00_892); } 
{ /* ./Cnst/initialize.scm 176 */
obj_t BgL_arg3137z00_895;
{ /* ./Cnst/initialize.scm 176 */
obj_t BgL_arg3140z00_896;
{ /* ./Cnst/initialize.scm 176 */
obj_t BgL_arg3144z00_898;obj_t BgL_arg3145z00_899;
BgL_arg3144z00_898 = 
CNST_TABLE_REF(((long)15)); 
{ /* ./Cnst/initialize.scm 177 */
obj_t BgL_arg3148z00_900;obj_t BgL_arg3149z00_901;
{ /* ./Cnst/initialize.scm 177 */
obj_t BgL_arg3152z00_902;obj_t BgL_arg3153z00_903;
BgL_arg3152z00_902 = 
CNST_TABLE_REF(((long)16)); 
{ /* ./Cnst/initialize.scm 177 */
obj_t BgL_arg3156z00_904;obj_t BgL_arg3157z00_905;
BgL_arg3156z00_904 = 
CNST_TABLE_REF(((long)14)); 
{ /* ./Cnst/initialize.scm 178 */
obj_t BgL_arg3160z00_906;
{ /* ./Cnst/initialize.scm 178 */
obj_t BgL_arg3164z00_908;obj_t BgL_arg3165z00_909;
BgL_arg3164z00_908 = 
CNST_TABLE_REF(((long)27)); 
{ /* ./Cnst/initialize.scm 178 */
obj_t BgL_arg3168z00_910;obj_t BgL_arg3169z00_911;
BgL_arg3168z00_910 = 
CNST_TABLE_REF(((long)28)); 
{ /* ./Cnst/initialize.scm 178 */
obj_t BgL_auxz00_1697;
BgL_auxz00_1697 = 
CNST_TABLE_REF(((long)14)); 
BgL_arg3169z00_911 = 
MAKE_PAIR(BgL_auxz00_1697, BNIL); } 
BgL_arg3165z00_909 = 
MAKE_PAIR(BgL_arg3168z00_910, BgL_arg3169z00_911); } 
BgL_arg3160z00_906 = 
MAKE_PAIR(BgL_arg3164z00_908, BgL_arg3165z00_909); } 
BgL_arg3157z00_905 = 
MAKE_PAIR(BgL_arg3160z00_906, BNIL); } 
BgL_arg3153z00_903 = 
MAKE_PAIR(BgL_arg3156z00_904, BgL_arg3157z00_905); } 
BgL_arg3148z00_900 = 
MAKE_PAIR(BgL_arg3152z00_902, BgL_arg3153z00_903); } 
{ /* ./Cnst/initialize.scm 181 */
obj_t BgL_arg3173z00_912;
{ /* ./Cnst/initialize.scm 181 */
obj_t BgL_arg3177z00_914;obj_t BgL_arg3178z00_915;
BgL_arg3177z00_914 = 
CNST_TABLE_REF(((long)6)); 
{ /* ./Cnst/initialize.scm 181 */
obj_t BgL_arg3181z00_916;obj_t BgL_arg3183z00_917;
{ /* ./Cnst/initialize.scm 181 */
obj_t BgL_arg3186z00_918;
{ /* ./Cnst/initialize.scm 181 */
obj_t BgL_arg3190z00_920;obj_t BgL_arg3191z00_921;
BgL_arg3190z00_920 = 
CNST_TABLE_REF(((long)20)); 
{ /* ./Cnst/initialize.scm 181 */
obj_t BgL_arg3194z00_922;
{ /* ./Cnst/initialize.scm 181 */
obj_t BgL_arg3198z00_924;obj_t BgL_arg3199z00_925;
BgL_arg3198z00_924 = 
CNST_TABLE_REF(((long)21)); 
{ /* ./Cnst/initialize.scm 181 */
obj_t BgL_arg3202z00_926;obj_t BgL_arg3203z00_927;
BgL_arg3202z00_926 = 
CNST_TABLE_REF(((long)14)); 
{ /* ./Cnst/initialize.scm 181 */
obj_t BgL_auxz00_1709;
BgL_auxz00_1709 = 
BINT(((long)1)); 
BgL_arg3203z00_927 = 
MAKE_PAIR(BgL_auxz00_1709, BNIL); } 
BgL_arg3199z00_925 = 
MAKE_PAIR(BgL_arg3202z00_926, BgL_arg3203z00_927); } 
BgL_arg3194z00_922 = 
MAKE_PAIR(BgL_arg3198z00_924, BgL_arg3199z00_925); } 
BgL_arg3191z00_921 = 
MAKE_PAIR(BgL_arg3194z00_922, BNIL); } 
BgL_arg3186z00_918 = 
MAKE_PAIR(BgL_arg3190z00_920, BgL_arg3191z00_921); } 
BgL_arg3181z00_916 = 
MAKE_PAIR(BgL_arg3186z00_918, BNIL); } 
{ /* ./Cnst/initialize.scm 182 */
obj_t BgL_arg3207z00_928;
{ /* ./Cnst/initialize.scm 182 */
obj_t BgL_arg3211z00_930;obj_t BgL_arg3213z00_931;
BgL_arg3211z00_930 = 
CNST_TABLE_REF(((long)10)); 
{ /* ./Cnst/initialize.scm 182 */
obj_t BgL_auxz00_1718;
BgL_auxz00_1718 = 
CNST_TABLE_REF(((long)22)); 
BgL_arg3213z00_931 = 
MAKE_PAIR(BgL_auxz00_1718, BNIL); } 
BgL_arg3207z00_928 = 
MAKE_PAIR(BgL_arg3211z00_930, BgL_arg3213z00_931); } 
BgL_arg3183z00_917 = 
MAKE_PAIR(BgL_arg3207z00_928, BNIL); } 
BgL_arg3178z00_915 = 
MAKE_PAIR(BgL_arg3181z00_916, BgL_arg3183z00_917); } 
BgL_arg3173z00_912 = 
MAKE_PAIR(BgL_arg3177z00_914, BgL_arg3178z00_915); } 
BgL_arg3149z00_901 = 
MAKE_PAIR(BgL_arg3173z00_912, BNIL); } 
BgL_arg3145z00_899 = 
MAKE_PAIR(BgL_arg3148z00_900, BgL_arg3149z00_901); } 
BgL_arg3140z00_896 = 
MAKE_PAIR(BgL_arg3144z00_898, BgL_arg3145z00_899); } 
BgL_arg3137z00_895 = 
MAKE_PAIR(BgL_arg3140z00_896, BNIL); } 
BgL_arg3124z00_890 = 
MAKE_PAIR(BUNSPEC, BgL_arg3137z00_895); } 
BgL_arg3120z00_888 = 
MAKE_PAIR(BgL_arg3123z00_889, BgL_arg3124z00_890); } 
BgL_arg3115z00_885 = 
MAKE_PAIR(BgL_arg3119z00_887, BgL_arg3120z00_888); } 
BgL_arg3111z00_884 = 
MAKE_PAIR(BgL_arg3115z00_885, BNIL); } 
BgL_arg3107z00_882 = 
MAKE_PAIR(BgL_arg3110z00_883, BgL_arg3111z00_884); } 
BgL_arg3102z00_879 = 
MAKE_PAIR(BgL_arg3106z00_881, BgL_arg3107z00_882); } 
BgL_arg3098z00_877 = 
MAKE_PAIR(BgL_arg3102z00_879, BNIL); } 
{ /* ./Cnst/initialize.scm 183 */
obj_t BgL_arg3217z00_932;
{ /* ./Cnst/initialize.scm 183 */
obj_t BgL_arg3221z00_934;obj_t BgL_arg3222z00_935;
BgL_arg3221z00_934 = 
CNST_TABLE_REF(((long)10)); 
{ /* ./Cnst/initialize.scm 183 */
long BgL_arg3225z00_936;
{ /* ./Cnst/initialize.scm 183 */
obj_t BgL_arg3229z00_938;
BgL_arg3229z00_938 = 
BGl_getzd2cnstzd2offsetz00zzcnst_allocz00(); 
{ /* ./Cnst/initialize.scm 183 */
long BgL_auxz00_1738;
BgL_auxz00_1738 = 
(long)CINT(BgL_arg3229z00_938); 
BgL_arg3225z00_936 = 
(BgL_auxz00_1738-((long)1)); } } 
{ /* ./Cnst/initialize.scm 183 */
obj_t BgL_auxz00_1741;
BgL_auxz00_1741 = 
BINT(BgL_arg3225z00_936); 
BgL_arg3222z00_935 = 
MAKE_PAIR(BgL_auxz00_1741, BNIL); } } 
BgL_arg3217z00_932 = 
MAKE_PAIR(BgL_arg3221z00_934, BgL_arg3222z00_935); } 
BgL_arg3099z00_878 = 
MAKE_PAIR(BgL_arg3217z00_932, BNIL); } 
BgL_arg3095z00_876 = 
MAKE_PAIR(BgL_arg3098z00_877, BgL_arg3099z00_878); } 
BgL_arg3090z00_873 = 
MAKE_PAIR(BgL_arg3094z00_875, BgL_arg3095z00_876); } 
BgL_arg3054z00_857 = 
MAKE_PAIR(BgL_arg3090z00_873, BNIL); } 
BgL_arg3050z00_855 = 
MAKE_PAIR(BgL_arg3053z00_856, BgL_arg3054z00_857); } 
BgL_sexpz00_852 = 
MAKE_PAIR(BgL_arg3049z00_854, BgL_arg3050z00_855); } 
{ /* ./Cnst/initialize.scm 169 */

{ /* ./Cnst/initialize.scm 184 */
obj_t BgL_arg3045z00_853;
BgL_arg3045z00_853 = 
BGl_getzd2cnstzd2sexpz00zzcnst_allocz00(); 
return 
MAKE_PAIR(BgL_sexpz00_852, BgL_arg3045z00_853);} } } } } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzcnst_initializa7eza7()
{ AN_OBJECT;
{ /* ./Cnst/initialize.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzcnst_initializa7eza7()
{ AN_OBJECT;
{ /* ./Cnst/initialize.scm 15 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)59211), "cnst_initialize"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30833), "cnst_initialize"); 
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23537), "cnst_initialize"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "cnst_initialize"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)14260), "cnst_initialize"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "cnst_initialize"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)25848), "cnst_initialize"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)44246), "cnst_initialize"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)50868), "cnst_initialize"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)62031), "cnst_initialize"); 
BGl_modulezd2initializa7ationz75zzast_buildz00(((long)17453), "cnst_initialize"); 
BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long)41586), "cnst_initialize"); 
BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long)56611), "cnst_initialize"); 
BGl_modulezd2initializa7ationz75zzcnst_allocz00(((long)26410), "cnst_initialize"); 
return 
BGl_modulezd2initializa7ationz75zzcnst_nodez00(((long)44711), "cnst_initialize");} 
}

